<?php 

$allow_commenters_grade = cwp("cwp_review_users_grade");
$id=get_the_ID();
$showComments=  get_post_meta($id, 'cwp_meta_box_check')[0];
// Check if users are allowed to grade the reviewed product and if the page is a custom post type. (Review)
if ($allow_commenters_grade == "yes" && get_post_type() == 'post' && $showComments=="Yes")
{
	/**
	 * Display Custom Review Comment form, where users are allowed to grade the reviewed product.
	 */
	
	
	$commenter = wp_get_current_commenter();
	$req = get_option( 'require_name_email' );
	$aria_req = ( $req ? " aria-required='true'" : '' );
    
    if(isset($commenter['comment_author_website'])) {
        $commenter['comment_author_website'] = esc_attr($commenter['comment_author_website']);
    } else {
        $commenter['comment_author_website'] = "";
    }
    
	$fields =  array(
	    'author' => '<div class="comment-form-default"><p class="comment-form-author">' . '<label for="author">' . __( 'Name', "cwp" ) . '</label> ' . ( $req ? '<span class="required">*</span>' : '' ) .
	        '<input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . $aria_req . ' /></p>',
	    'email'  => '<p class="comment-form-email"><label for="email">' . __( 'Email', "cwp" ) . '</label> ' . ( $req ? '<span class="required">*</span>' : '' ) .
	        '<input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30"' . $aria_req . ' /></p>',
	    'url'  => '<p class="comment-form-url"><label for="url">' . __( 'Website', "cwp" ) . '</label><input id="url" name="url" type="text" value="' .  $commenter['comment_author_website'] . '" size="30"' . $aria_req . ' /></p></div>',
	);
	 
	$meta_options['meta_option_1'] = get_post_meta($id, "option_1_content", true);
	$meta_options['meta_option_2'] = get_post_meta($id, "option_2_content", true);	
	$meta_options['meta_option_3'] = get_post_meta($id, "option_3_content", true);
	$meta_options['meta_option_4'] = get_post_meta($id, "option_4_content", true);
	$meta_options['meta_option_5'] = get_post_meta($id, "option_5_content", true);

	foreach ($meta_options as $k => $value) {
		if(empty($meta_options[$k])) { 
			unset($meta_options[$k]);
		}
	}

	foreach ($meta_options as $k => $value) {
		$fields[$k] =
		"<div class='comment-form-meta-option'>
			<label for='$k'>$meta_options[$k]</label>
			<input type='text' id='$k' class='meta_option_input' value='0' name='$k' readonly='readonly'>
			<div class='comment_meta_slider'></div>
			<div class='clearfix'></div>
		</div>"; 
	}

	$comments_args = array(
	    'fields' =>  $fields,
		 'comment_field' =>  '<div class="clearfix"></div><p class="comment-form-comment"><label for="comment">' . _x( 'Your Message', 'noun', "cwp" ) .
		    '</label><textarea id="comment" name="comment" cols="45" rows="8" aria-required="true">' .
		    '</textarea></p>',
	);
	comment_form($comments_args);

} else { // Display normal comment form.
	comment_form();
}

?>