<?php 

/**
 * Loads the Custom Panel
 */

function cwp_theme_setup()
	{ 
	// Load the custom theme control panel.
	require_once( get_template_directory() . '/admin/functions.php' );	

	// Add theme support for featured images.
	add_theme_support( 'post-thumbnails' ); 

	// Add theme support for automatic feed links in the header.
	add_theme_support( 'automatic-feed-links' );

	// Register the main primary header menu.
	register_nav_menus( array(
        'primary' => __( 'Primary Header Menu', 'primary_main_menu' ),
    ) );

	// Register the top bar menu.
	register_nav_menus( array(
        'secondary' => __( 'Top Bar Menu', 'secondary_menu' ),
    ) );

    // Register the review custom post type.
   // require_once( get_template_directory()."/inc/cwp_review_post_type.php" );
    require_once( get_template_directory()."/inc/cwp_review_metaboxes.php" );

    // Load the theme custom widgets.
    require_once( get_template_directory()."/inc/cwp_top_products_widget.php"); // Top Products Widget
    require_once( get_template_directory()."/inc/cwp_popular_articles_widget.php"); // Popular Articles Widget



	}


/**
 * Gets the social links.
 */

function cwp_get_social_links()
	{
		$facebook_link = cwp("cwp_social_facebook");
		$twitter_link = cwp("cwp_social_twitter");
		$google_link = cwp("cwp_social_google");
		$pinterest_link = cwp("cwp_social_pinterest");
		$youtube_link = cwp("cwp_social_youtube");

		if(!empty($facebook_link)) {
			echo "<li class='facebook'><a href='{$facebook_link}'><i class='icon-facebook-sign'></i></a></li>";
		}
		if(!empty($pinterest_link)) {
			echo "<li class='pinterest'><a href='{$pinterest_link}'><i class='icon-pinterest'></i></a></li>";
		}
		if(!empty($twitter_link)) {
			echo "<li class='twitter'><a href='{$twitter_link}'><i class='icon-twitter'></i></a></li>";
		}
		if(!empty($google_link)) {
			echo "<li class='google'><a href='{$google_link}'><i class='icon-google-plus'></i></a></li>";
		}
		if(!empty($youtube_link)) {
			echo "<li class='youtube'><a href='{$youtube_link}'><i class='icon-youtube-play'></i></a></li>";
		}
	}


/**
 * Gets the logo.
 */

function cwp_get_logo()
	{
		$logo = cwp("cwp_logo");
		if(empty($logo)) {
			$logo = get_stylesheet_directory_uri() . "/images/logo.png";
		} else { 
			$logo = cwp("cwp_logo");
		}
		echo $logo;
	}


/**
 * Gets the Advertising Banner.
 */

function cwp_get_ad_banner() 
	{
		$ad_banner = cwp("cwp_banner_image");
		$ad_banner_text = cwp("cwp_header_banner_alt");
		$ad_banner_link = cwp("cwp_header_banner_url");

		if(cwp("cwp_header_banner_bool") == "yes")
		{
			if(!empty($ad_banner))
				{
					echo "<a href='{$ad_banner_link}'><img src='{$ad_banner}' alt='{$ad_banner_text}'/></a>";
				}
		}
	}

/**
 * Display Comments.
 */

function cwp_comments($comment, $args, $depth) 
	{
		$GLOBALS['comment'] = $comment;
		if(get_comment_type() == 'pingback' || get_comment_type() == 'trackback') : ?>

		<li class="pingback" id="comment-<?php comment_ID(); ?>">
			<div <?php comment_class('comment-body'); ?>>
				<cite><?php echo "Pingback:"; ?></cite>
				<p class="pb-body"><?php comment_author_link(); ?></p><!-- end .pb-body -->
			</div><!-- end .comment-body -->
		</li><!-- end .pingback -->

		<?php elseif (get_comment_type() == "comment") : ?>

		<li id="comment-<?php comment_ID(); ?>" class="comment clearfix">
			<div <?php comment_class('comment-body'); ?>>
				<div class="comment-author vcard">
					<?php $avatar_size=80;
						if($comment->comment_parent != 0) {
							$avatar_size = 50;
						}
						echo get_avatar($comment, $avatar_size);
					 ?>
					<cite class="fn"><?php comment_author_link(); ?></cite>
					<span class="said"><?php _e("said:", "cwp"); ?></span>
				</div><!-- end .comment-author -->

				<div class="comment-meta">
				<?php comment_date(); ?> at <?php comment_time(); ?>											
				</div><!-- end .comment-meta -->
				<div class="clearfix"></div>
				<?php if ($comment->comment_approved == 0): ?>
					<p class="under-moderation"><?php _e("Your comment is awaiting moderation.", "cwp"); ?></p>
				<?php endif; ?>

				<?php // Get the comment meta options. (In case of review, User Product Grades) 
					  get_template_part("comment-meta-options");
				?>

				<?php comment_text(); ?>
				<div class="comment-reply">
				<?php comment_reply_link(array_merge($args, array('depth' => $depth, 'max_depth' => $args['max_depth']))); ?>
				</div><!-- end .comment-reply -->
				<div class="clearfix"></div>	
			</div><!-- end .comment-body -->
		<?php endif;
	}


function cwp_comment_form($defaults)
	{
		$defaults['comment_notes_after'] = '';
		$defaults['comment_notes_before'] = '';
		$defaults['id_form'] = 'add-new-comment';
		return $defaults; 
	}


/**
 * Loading the necessary theme scripts.
 */
function cwp_load_req_scripts()
	{
		// Deregister jQuery and load custom jQuery for better theme and plugins compatibility.
		wp_enqueue_script( 'jquery' );
		// Register and enqueue jQuery UI. 
		wp_enqueue_script( 'jqueryui', get_template_directory_uri() .'jquery-ui.js', array('jquery'), null, false ); 
	

		// Register and enqueue excanvas javascript plugin for older browsers.
		wp_enqueue_script( 'excanvas-js', get_template_directory_uri() . '/js/excanvas.js', array( 'jquery' ) );
		

		// Register and enqueue piechart javascript plugin for review piecharts.
		wp_enqueue_script( 'piechart-js', get_template_directory_uri() . '/js/pie-chart.js', array( 'jquery' ) );
		

		// Register and enqueue HTML5 Shiv.
		wp_enqueue_script( 'html5-js', get_template_directory_uri() . '/js/html5.js', array(), null, false );
		

		// Register and enqueue jQuery Cycle Plugin.
		wp_enqueue_script( 'cycle2-js', get_template_directory_uri() . '/js/jquery.cycle.js', array( 'jquery' ) );

		// Register and enqueue jQuery Superfish Plugin.
		wp_enqueue_script( 'superfish-js', get_template_directory_uri() . '/js/superfish.js', array( 'jquery' ) );


		// Register and enqueue jQuery MeanMenu Plugin.
		//wp_enqueue_script( 'meanmenu-js', get_template_directory_uri() . '/js/jquery.meanmenu.min.js', array( 'jquery' ) );
		//wp_enqueue_script( 'meanmenu-js' );

		// Register and enqueue the main JavaScript file.
		wp_enqueue_script( 'main-js', get_template_directory_uri() . '/js/main.js', array( 'jquery' ) );


		// Register and enqueue the base css framework.
		wp_enqueue_style( 'cwp-css-base', get_template_directory_uri() . '/css/base.css'); 

		// Register and enqueue the core css styles.
		wp_enqueue_style( 'cwp-css-core', get_template_directory_uri() . '/css/core.css'); 

		// Register and enqueue Font Awesome minified. 
		wp_enqueue_style( 'cwp-css-font-awesome-min', get_template_directory_uri() . '/css/font-awesome.min.css'); 

		// Register and enqueue Font Awesome minified for IE7
		wp_enqueue_style( 'cwp-css-font-awesome-min-ie', get_template_directory_uri() . '/css/font-awesome-ie7.min.css'); 

		// Register and enqueue jQuery UI Smoothness theme.
		wp_enqueue_style( 'cwp-jqueryui-smoothness', get_template_directory_uri() . '/css/jquery-ui.css'); 

		// Register and enqueue the main stylesheet.
		wp_enqueue_style( 'cwp-main-css', get_stylesheet_uri()); 

		// Register and enqueue the custom css file.
		wp_enqueue_style( 'cwp-custom-css', get_template_directory_uri() . '/custom.css.php'); 


		// Register and enqueue the responsive css file.
		wp_enqueue_style( 'cwp-responsive-css', get_template_directory_uri() . '/css/responsive.css'); 


	}


/**
 * Load scripts in admin panel.
 */


	function cwp_review_preload() {
		// Register & enqueue the preload js script.
		wp_enqueue_script("cwp-review-preload", get_template_directory_uri() . "/inc/cwp-review-preload.php", false, "1.0", "all");
		wp_enqueue_script("cwp-review-preload");

	    wp_enqueue_script( 'admin-review', get_template_directory_uri() . "/js/admin-review.js" );
	}



function cwp_register_sidebars()
	{
		register_sidebar(array(
			'name' => __('Main Sidebar', 'cwp'),
			'id' => 'main-sidebar',
			'description' => __('This sidebar appeares on all templates.', 'cwp'),
			'before_widget' => '<div class="sidebar-widget">',
			'after_widget' => '</section></div>',
			'before_title' => '<header><h2>',
			'after_title' => '</h2></header><section class="widget-container">',
			));

		register_sidebar(array(
			'name' => __('Footer Sidebar', 'cwp'),
			'id' => 'footer-sidebar',
			'description' => __('Drag here widgets that you would like to appear in the footer.', 'cwp'),
			'before_widget' => '<div class="footer-widget">',
			'after_widget' => '</div>',
			'before_title' => '<section><h3>',
			'after_title' => '</h3></section>',
			));
	}


function cwp_paginate()
	{
	global $wp_query, $wp_rewrite;
	$wp_query->query_vars['paged'] > 1 ? $current = $wp_query->query_vars['paged'] : $current = 1;

	$pagination = array(
	    'base' => @add_query_arg('page','%#%'),
	    'format' => '',
	    'total' => $wp_query->max_num_pages,
	    'current' => $current,
	    'show_all' => true,
	    'type' => 'list',
	    'next_text' => '&raquo;',
	    'prev_text' => '&laquo;'
	    );

	if( $wp_rewrite->using_permalinks() )
	    $pagination['base'] = user_trailingslashit( trailingslashit( remove_query_arg( 'page', get_pagenum_link( 1 ) ) ) . '?page=%#%/', 'paged' );

	if( !empty($wp_query->query_vars['s']) )
	    $pagination['add_args'] = array( 's' => get_query_var( 's' ) );
		echo paginate_links( $pagination );
	}


/**
 * Loading the custom styles for the admin dashboard.
 */

function cwp_admin_custom_styles()
	{
	    $url = get_template_directory_uri() . '/css/dashboard_styles.css';
	    echo "<link rel='stylesheet' type='text/css' href='$url' />\n";
	}

function cwp_editor_styles() {
    add_editor_style( 'custom-editor-style.css' );
}
add_action( 'init', 'cwp_editor_styles' );

/**
 * Comment Meta Values (Save Review Options)
 */

function cwp_add_comment_meta_values($comment_id)
	{
		if(isset($_POST['meta_option_1'])) {
	        $meta_option_1 = wp_filter_nohtml_kses($_POST['meta_option_1']);
	        add_comment_meta($comment_id, 'meta_option_1', $meta_option_1, false);
	    }

		if(isset($_POST['meta_option_2'])) {
	        $meta_option_2 = wp_filter_nohtml_kses($_POST['meta_option_2']);
	        add_comment_meta($comment_id, 'meta_option_2', $meta_option_2, false);
	    }

		if(isset($_POST['meta_option_3'])) {
	        $meta_option_3 = wp_filter_nohtml_kses($_POST['meta_option_3']);
	        add_comment_meta($comment_id, 'meta_option_3', $meta_option_3, false);
	    }

		if(isset($_POST['meta_option_4'])) {
	        $meta_option_4 = wp_filter_nohtml_kses($_POST['meta_option_4']);
	        add_comment_meta($comment_id, 'meta_option_4', $meta_option_4, false);
	    }

		if(isset($_POST['meta_option_5'])) {
	        $meta_option_5 = wp_filter_nohtml_kses($_POST['meta_option_5']);
	        add_comment_meta($comment_id, 'meta_option_5', $meta_option_5, false);
	    }
	}


/**
 * Setting up the default title.
 */
function cwp_default_title($title)
	{
		if($title == "") { $title = __("Default Title", "cwp"); }
		return $title;
	}



/**
 * Changing the default menu icon for Review custom post type.
 */
function cwp_review_cpt_icon() {
	?>
		<style type="text/css">
			#menu-posts-review .wp-menu-image:before { content: "\f163" !important; }
		</style>
	<?php 
}

if ( ! isset( $content_width ) ) $content_width = 475;

/**
 * Hooks.
 */

    // Register Sidebars
add_action( 'widgets_init', 'cwp_register_sidebars' );
add_action( 'after_setup_theme', 'cwp_theme_setup' ); 
add_action( 'wp_enqueue_scripts', 'cwp_load_req_scripts' );
add_action( 'admin_enqueue_scripts', "cwp_review_preload");
add_action( 'admin_head', 'cwp_admin_custom_styles');
add_action( 'admin_head', 'cwp_review_cpt_icon');

/**
 * Filters.
 */
add_filter('comment_form_defaults', 'cwp_comment_form');
add_filter('widget_title', 'cwp_default_title');
add_filter('the_title', 'cwp_default_title');
add_action ('comment_post', 'cwp_add_comment_meta_values', 1);

add_theme_support( 'custom-background');